Subject: [alpine-devel] [PATCH 1/4] main/zabbix: add more zabbix-agent utilities

From: Duane Hughes <[email-masked]>
Date: Fri, 28 Jan 2011 09:30:22 +0000

adds zabbix_sender and zabbix_get
---
 main/zabbix/APKBUILD |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/main/zabbix/APKBUILD b/main/zabbix/APKBUILD
index c6a08a6..8306aee 100644
--- a/main/zabbix/APKBUILD
+++ b/main/zabbix/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=zabbix
 pkgver=1.8.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Enterprise-class open source distributed monitoring"
 url="www.zabbix.com"
 arch="all"
@@ -94,6 +94,7 @@ agent() {
 
 	mkdir -p "$subpkgdir"/usr/sbin
 	mv -f "$pkgdir"/usr/sbin/zabbix_agentd "$subpkgdir"/usr/sbin/
+	mv -f "$pkgdir"/usr/bin/zabbix_* "$subpkgdir"/usr/bin/
 }
 
 md5sums="969ce09317c98b205bc96157e16f5c8c  zabbix-1.8.4.tar.gz
-- 
1.7.3.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Duane Hughes <[email-masked]>
Date: Fri, 28 Jan 2011 09:30:23 +0000

library files for file locking tools
---
 testing/liblockfile/APKBUILD |   38 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 38 insertions(+), 0 deletions(-)
 create mode 100644 testing/liblockfile/APKBUILD

diff --git a/testing/liblockfile/APKBUILD b/testing/liblockfile/APKBUILD
new file mode 100644
index 0000000..8415b3d
--- /dev/null
+++ b/testing/liblockfile/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Duane Hughes <[email-masked]> 
+# Maintainer: Natanael Copa <[email-masked]>
+pkgname=liblockfile
+pkgver=1.08
+pkgrel=0
+pkgdesc="Shared library with NFS-safe locking functions"
+url="http://packages.debian.org/sid/liblockfile1"
+arch="all"
+license="GPL"
+depends=""
+makedepends=
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.debian.org/debian/pool/main/libl/liblockfile/${pkgname}_$pkgver.orig.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man
+	make -j1 || return 1
+}
+
+package() {
+	cd "$_builddir"
+
+	install -d "$pkgdir"/usr/include
+	install -d "$pkgdir"/usr/bin
+	install -d "$pkgdir"/usr/lib
+	install -d "$pkgdir"/usr/share/man
+
+	make -j1 ROOT="$pkgdir" install
+}
+
+md5sums="c24e2dfb4a2aab0263fe5ac1564d305e  liblockfile_1.08.orig.tar.gz"
-- 
1.7.3.2

---

---

From: Duane Hughes <[email-masked]>
Date: Fri, 28 Jan 2011 09:30:24 +0000

utilities for safely unlocking locked files/mailboxes
---
 testing/lockfile-progs/APKBUILD |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)
 create mode 100644 testing/lockfile-progs/APKBUILD

diff --git a/testing/lockfile-progs/APKBUILD b/testing/lockfile-progs/APKBUILD
new file mode 100644
index 0000000..2b4f3b5
--- /dev/null
+++ b/testing/lockfile-progs/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Duane Hughes <[email-masked]> 
+# Maintainer: Natanael Copa <[email-masked]>
+pkgname=lockfile-progs
+pkgver=0.1.15
+pkgrel=0
+pkgdesc="Programs for locking and unlocking files and mailboxes"
+url="http://packages.debian.org/sid/lockfile-progs"
+arch="all"
+license="GPL"
+depends="liblockfile"
+makedepends="liblockfile-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://ftp.debian.org/debian/pool/main/l/lockfile-progs/${pkgname}_$pkgver.tar.gz"
+
+_builddir="$srcdir"/sid
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	
+	install -d "$pkgdir"/usr/bin
+	install -d "$pkgdir"/usr/share/man
+	install -m 755 "$_builddir"/bin/* "$pkgdir"/usr/bin
+	install -m 644 "$_builddir"/man/* "$pkgdir"/usr/share/man
+}
+
+md5sums="abfcda83a1868073673f4d78066b8f8a  lockfile-progs_0.1.15.tar.gz"
-- 
1.7.3.2

---

---

From: Duane Hughes <[email-masked]>
Date: Fri, 28 Jan 2011 09:30:25 +0000

bash scripts for checking log files, ported from debian
---
 testing/logcheck/APKBUILD              |   30 ++++++++++++++++++++++++++++++
 testing/logcheck/logcheck.cron.d       |    9 +++++++++
 testing/logcheck/logcheck.post-install |    3 +++
 testing/logcheck/logcheck.pre-install  |    7 +++++++
 4 files changed, 49 insertions(+), 0 deletions(-)
 create mode 100644 testing/logcheck/APKBUILD
 create mode 100644 testing/logcheck/logcheck.cron.d
 create mode 100644 testing/logcheck/logcheck.post-install
 create mode 100644 testing/logcheck/logcheck.pre-install

diff --git a/testing/logcheck/APKBUILD b/testing/logcheck/APKBUILD
new file mode 100644
index 0000000..b12373e
--- /dev/null
+++ b/testing/logcheck/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Duane Hughes <[email-masked]> 
+# Maintainer: Natanael Copa <[email-masked]>
+pkgname=logcheck
+pkgver=1.3.13
+pkgrel=0
+pkgdesc="Bash scripts used to monitor system log files for anomalies"
+url="http://packages.debian.org/source/sid/logcheck"
+arch="noarch"
+license="GPL"
+depends="lockfile-progs"
+makedepends=
+install="$pkgname.pre-install $pkgname.post-install"
+subpackages="$pkgname-doc"
+source="http://ftp.debian.org/debian/pool/main/l/logcheck/${pkgname}_$pkgver.tar.gz
+	logcheck.cron.d
+	"
+	
+_builddir="$srcdir"/$pkgname
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+	
+	install -D -m 644 "$srcdir"/logcheck.cron.d "$pkgdir"/etc/logcheck/logcheck.cron.sample
+	install -d "$pkgdir"/usr/share/man
+	cp -a "$_builddir"/docs/* "$pkgdir"/usr/share/man
+}
+
+md5sums="e2ff14f522bf2e30d5947c85fed44973  logcheck_1.3.13.tar.gz
+89be84c722a958659df9a937826cbdc2  logcheck.cron.d"
diff --git a/testing/logcheck/logcheck.cron.d b/testing/logcheck/logcheck.cron.d
new file mode 100644
index 0000000..58cd047
--- /dev/null
+++ b/testing/logcheck/logcheck.cron.d
@@ -0,0 +1,9 @@
+# /etc/cron.d/logcheck: crontab entries for the logcheck package
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+MAILTO=root
+
+@reboot         logcheck    if [ -x /usr/sbin/logcheck ]; then nice -n10 /usr/sbin/logcheck -R; fi
+2 * * * *       logcheck    if [ -x /usr/sbin/logcheck ]; then nice -n10 /usr/sbin/logcheck; fi
+
+# EOF
diff --git a/testing/logcheck/logcheck.post-install b/testing/logcheck/logcheck.post-install
new file mode 100644
index 0000000..c343902
--- /dev/null
+++ b/testing/logcheck/logcheck.post-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+chown -R logcheck /etc/logcheck /var/lock/logcheck /var/lib/logcheck
diff --git a/testing/logcheck/logcheck.pre-install b/testing/logcheck/logcheck.pre-install
new file mode 100644
index 0000000..847786f
--- /dev/null
+++ b/testing/logcheck/logcheck.pre-install
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+addgroup logcheck 2>/dev/null
+adduser -S -H -h /dev/null -s /bin/false -D -G logcheck logcheck 2>/dev/null
+exit 0
+ 
+
-- 
1.7.3.2

---